/**
 * Bin&auml;rer Baum.
 * 
 * @author Owyn
 * @version 2008-05-08
 */
public class Tree {

	private String data; // Daten
	private Tree left; // linker Teilbaum
	private Tree right; // rechter Teilbaum

    /**
     * Erzeugt einen neuen Baumknoten.
     * 
     * @param data Inhalt des Knotens
     */
	public Tree(String data) {
		this.data = data;
		left = null;
		right = null;
	}

    /**
     * Testet, ob ein linker Teilbaum existiert.
     * 
     * @return true, falls ein linker Teilbaum existiert, sonst false.
     */
	public boolean hasLeft() {
		return (left != null);
	}

    /**
     * Testet, ob ein rechter Teilbaum existiert.
     * 
     * @return true, falls ein rechter Teilbaum existiert, sonst false.
     */
	public boolean hasRight() {
		return (right != null);
	}


    /**
	 * F&uuml;gt einen String in den Baum/Teilbaum ein.
	 * Der String wird nach alphabetischer Ordnung einsortiert.
     * 
     * @param data der einzuf&uuml;gende String
     */
	public void insert(String data) {

		// ...

	}

    /**
	 * Gibt eine Text-Version des Baums zur&uuml;ck.
     * 
     * @return die In-Order-Darstellung des Baums
     */
	public String toString() {

		// ...
		return ""; // Diese Zeile loeschen!

	}
}
